For Developers
List Child Requests
GET https://ed.link/api/v2/teams/:team_id/requests/:request_id/children
Returns all downstream requests made by Edlink to upstream provider endpoints during execution of the parent request.
Permissions
Requires the logs.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:request_id | UUID | Yes | The ID of the parent request. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/requests/${request_id}/children`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "18492019-4819-4bb4-8172-401928472910",
"method": "GET",
"path": "https://oakridge.instructure.com/api/v1/courses",
"status": 200
}
]
}
